Page MenuHomePhabricator

Create a mechanism for datatype specific Snak rendering (to allow formatting based on per-property information)
Closed, ResolvedPublic

Description

This tracks the implementation of the outcome of T112544: [RFC] Decide on mechanism to dispatch formatting per property id.

Context: The use case currently is the formatterUrl property info. We cannot get the formatter url within the value formatters because it depends on the property id. Therefore, the decision which formatter/which formatting options to use must be made on the snak level, in particular PropertyValueSnakFormatter.

Event Timeline

daniel created this task.Sep 16 2015, 3:17 PM
daniel renamed this task from [Metatask] Create mechanism to dispatch formatting per property id to [Metatask] Create a mechanism for datatype specific Snak rendering (to allow formatting based on per-property information).
daniel raised the priority of this task from to Medium.
daniel updated the task description. (Show Details)
daniel set Security to None.
Tobi_WMDE_SW renamed this task from [Metatask] Create a mechanism for datatype specific Snak rendering (to allow formatting based on per-property information) to [Tracking] Create a mechanism for datatype specific Snak rendering (to allow formatting based on per-property information).Sep 29 2015, 12:50 PM

committed for Wikidata-Sprint-2015-09-29: break down into tasks based on T112544.

I'll move this to "done" in the sprint, since the breakdown is done, but keep it open, since the blockers are not implemented.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptNov 23 2015, 3:09 PM
Tobi_WMDE_SW changed the task status from Duplicate to Resolved.Dec 2 2015, 10:56 AM
Tobi_WMDE_SW claimed this task.
Phabricator_maintenance renamed this task from [Tracking] Create a mechanism for datatype specific Snak rendering (to allow formatting based on per-property information) to Create a mechanism for datatype specific Snak rendering (to allow formatting based on per-property information).Aug 13 2016, 9:08 PM